Package org.apache.solr.client.solrj.response

# Class SpellCheckResponse

java.lang.Object
org.apache.solr.client.solrj.response.SpellCheckResponse

public class SpellCheckResponse extends Object
Encapsulates responses from SpellCheckComponent

Since:
  solr 1.3

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`SpellCheckResponse.Collation`
`static class`
`SpellCheckResponse.Correction`
`static class`
`SpellCheckResponse.Suggestion`

## Constructor Summary

Constructors
Constructor
Description
`SpellCheckResponse(NamedList<?> spellInfo)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCollatedResult()`
Return the first collated query string.
`List<SpellCheckResponse.Collation>`
`getCollatedResults()`
Return all collations.
`String`
`getFirstSuggestion(String token)`
`SpellCheckResponse.Suggestion`
`getSuggestion(String token)`
`Map<String,SpellCheckResponse.Suggestion>`
`getSuggestionMap()`
`List<SpellCheckResponse.Suggestion>`
`getSuggestions()`
`boolean`
`isCorrectlySpelled()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SpellCheckResponse

public SpellCheckResponse(NamedList<?> spellInfo)

## Method Details

### isCorrectlySpelled

public boolean isCorrectlySpelled()

### getSuggestions

public List<SpellCheckResponse.Suggestion> getSuggestions()

### getSuggestionMap

public Map<String,SpellCheckResponse.Suggestion> getSuggestionMap()

### getSuggestion

public SpellCheckResponse.Suggestion getSuggestion(String token)

### getFirstSuggestion

public String getFirstSuggestion(String token)

### getCollatedResult

public String getCollatedResult()
Return the first collated query string. For convenience and backwards-compatibility. Use getCollatedResults() for full data.

Returns:
  first collated query string

### getCollatedResults

public List<SpellCheckResponse.Collation> getCollatedResults()
Return all collations. Will include # of hits and misspelling-to-correction details if "spellcheck.collateExtendedResults was true.

Returns:
  all collations